#!/bin/bash

# This file is part of VM-Experiments.
# Licensed under the GPL-3.0-or-later. See LICENSE for details.

# jet-search
git clone https://interstellardevelopment.org/code/VM-Experiments/jet-search.git
cd jet-search
make build
cd ..

# thread-sphere
git clone https://interstellardevelopment.org/code/VM-Experiments/thread-sphere.git
cd thread-sphere
make build
cd ..

# chit-chat
git clone https://interstellardevelopment.org/code/VM-Experiments/chit-chat.git
cd chit-chat
make build
cd ..

# final
git clone https://interstellardevelopment.org/code/VM-Experiments/linux-deployment-scripts.git
cd ..
tar -czvf deployment.tar.gz -C preparation-scripts .
mkdir -p preparation-scripts/linux-deployment-scripts/downloads
mv deployment.tar.gz preparation-scripts/linux-deployment-scripts/downloads

cd preparation-scripts
cd linux-deployment-scripts
sudo ./main.py -v -ct configs/debian/bookworm_server.json
sudo ./main.py -v -ct configs/debian/bookworm_gnome.json
